MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024748Open CASCADE[OCCT] OCCT:Codingpublic2014-03-21 11:112014-11-11 12:51
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024748: Remove unused instantiations of collection classes
DescriptionOCCT contains many instantiations of collections which are never used and can be removed to minimize amount of code:

- all classes defined in packages PColPGeom, PColPGeom2d
- some classes defined in Geom that have equivalents in TColGeom: SequenceOfBoundedSurface, (H)SequenceOfSurface
- in TColGeom: Array1OfBoundedCurve, (H)Array1OfBoundedSurface, HArray1OfBoundedCurve, (H)Array2OfBoundedSurface, (H)Array2OfBSplineSurface, HArray2OfBezierSurface, (H)SequenceOfBoundedSurface, HSequenceOfSurface
- in TColGeom2d: (H)Array1OfGeometry, (H)Array1OfBoundedCurve, HSequenceOfGeometry
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0028416)
abv (manager)
2014-03-21 11:19

Fix (removing mentioned classes) pushed to CR24748, please review
(0028417)
kgv (developer)
2014-03-21 12:40

Please test compilation of the patch and integrate.
(0028444)
mkv (tester)
2014-03-24 14:45

Dear BugMaster,

Branch CR24748 (and products from GIT master) was compiled on Linux and Windows platforms.
SHA-1: 54dc0669437c20d1ec04b6837f7a905b9011c022

Number of compiler warnings in RELEASE mode:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)


Number of compiler warnings in DEBUG mode:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 7 (7 on master)
Windows: 1 (1 on master)

Wihtout testing

- Related Changesets
occt: master bbd47d8f
Timestamp: 2014-03-27 12:36:03
Author: abv
Committer: apn
Details ] Diff ]
0024748: Remove unused instantiations of collection classes

Removed:
- packages PColPGeom, PColPGeom2d
- in Geom package: classes SequenceOfBoundedSurface, (H)SequenceOfSurface
- in TColGeom package: classes Array1OfBoundedCurve, (H)Array1OfBoundedSurface, HArray1OfBoundedCurve, (H)Array2OfBoundedSurface, (H)Array2OfBSplineSurface, HArray2OfBezierSurface, (H)SequenceOfBoundedSurface, HSequenceOfSurface
- in TColGeom2d package: classes (H)Array1OfGeometry, (H)Array1OfBoundedCurve, HSequenceOfGeometry
mod - adm/UDLIST Diff ] File ]
mod - src/Geom/Geom.cdl Diff ] File ]
rm - src/PColPGeom/PColPGeom.cdl Diff ] File ]
rm - src/PColPGeom2d/PColPGeom2d.cdl Diff ] File ]
mod - src/ShapeSchema/ShapeSchema.cdl Diff ] File ]
mod - src/TColGeom/TColGeom.cdl Diff ] File ]
mod - src/TColGeom2d/TColGeom2d.cdl Diff ] File ]
mod - src/TKPShape/PACKAGES Diff ] File ]
mod - tests/de/iges_1/B4 Diff ] File ]
mod - tests/de/iges_1/L5 Diff ] File ]
mod - tests/de/iges_1/P9 Diff ] File ]
mod - tests/de/iges_2/B1 Diff ] File ]
mod - tests/de/iges_2/H9 Diff ] File ]
mod - tests/de/step_1/D1 Diff ] File ]
mod - tests/de/step_1/E6 Diff ] File ]
mod - tests/de/step_1/F9 Diff ] File ]
mod - tests/de/step_1/G2 Diff ] File ]
mod - tests/de/step_1/G3 Diff ] File ]
mod - tests/de/step_1/G5 Diff ] File ]
mod - tests/de/step_1/G6 Diff ] File ]
mod - tests/de/step_1/G7 Diff ] File ]
mod - tests/de/step_1/ZF7 Diff ] File ]
mod - tests/de/step_1/ZG2 Diff ] File ]
mod - tests/de/step_1/ZH7 Diff ] File ]
mod - tests/de/step_2/A5 Diff ] File ]
mod - tests/de/step_2/D9 Diff ] File ]
mod - tests/de/step_2/E1 Diff ] File ]
mod - tests/de/step_2/E7 Diff ] File ]
mod - tests/de/step_2/E9 Diff ] File ]
mod - tests/de/step_2/F2 Diff ] File ]
mod - tests/de/step_2/F3 Diff ] File ]
mod - tests/de/step_3/E6 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-21 11:11 abv New Issue
2014-03-21 11:11 abv Assigned To => kgv
2014-03-21 11:19 abv Note Added: 0028416
2014-03-21 11:19 abv Status new => resolved
2014-03-21 11:20 abv Relationship added child of 0024487
2014-03-21 12:40 kgv Note Added: 0028417
2014-03-21 12:40 kgv Assigned To kgv => bugmaster
2014-03-21 12:40 kgv Status resolved => reviewed
2014-03-21 12:47 abv Target Version 6.7.1 => 7.0.0
2014-03-21 17:19 mkv Assigned To bugmaster => mkv
2014-03-24 14:45 mkv Note Added: 0028444
2014-03-24 14:46 mkv Test case number => Not needed
2014-03-24 14:46 mkv Assigned To mkv => bugmaster
2014-03-24 14:46 mkv Status reviewed => tested
2014-03-28 16:38 apn Changeset attached => occt master bbd47d8f
2014-03-28 16:38 apn Assigned To bugmaster => apn
2014-03-28 16:38 apn Status tested => verified
2014-03-28 16:38 apn Resolution open => fixed
2014-04-04 11:54 abv Target Version 7.0.0 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker